Subject: Re: bug#50993: 29.0.50; Problems when dragging the mouse over the toolbar

From: Eli Zaretskii <[email-masked]>
Date: Sun, 10 Oct 2021 22:23:25 +0300

> From: Stefan Monnier <[email-masked]>
> Cc: Po Lu <[email-masked]>,  [email-masked]
> Date: Sun, 10 Oct 2021 15:10:58 -0400
> 
> > I have no idea how to fix this mess; I tried many things, but gave up
> > eventually.  Perhaps Stefan knows what to do here.  As a kludge, maybe
> > remove the prefix if the full even has no binding?  Anyway, we cannot
> > revert that change because it was done to support mouse wheel on the
> > tab bar.
> 
> I'm afraid I don't have a good idea either: this business of adding
> prefix events like `mode-line` and `tool-bar` is quite fiddly and
> I haven't managed to wrap my head around precisely how it's supposed
> to work.
> 
> I think it would make sense to drop those prefixes when the resulting
> key sequence has otherwise no binding, but at the same time it feels
> a bit like adding a hack on top of another one.

OK, thanks.

I also tried to bind [tool-bar mouse-movement] to the same command to
which we temporarily bind [mouse-movement] inside mouse-drag-region,
but it somehow didn't work.  Any idea why, or how to do it so it does
work?  Then we perhaps could bind those prefixed mouse movements, and
keep the feature working.